{
This example shows how you can provide end-users with editable,
expandable pick-lists of edit mask formats.
}
unit Unit1;


interface

uses
  Classes, Forms, Controls, StdCtrls, Maskedit;

type
  TForm1 = class(TForm)
    EditMaskManager1: TEditMaskManager;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ComboBox1Click(Sender: TObject);
  private
    { Private declarations }
    procedure PopulateCombo;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  PopulateCombo;
end;

procedure TForm1.PopulateCombo;
begin
  {
  This procedure uses the TEditMaskManager component to create a drop-down
  combobox list of edit mask definitions.
  }
  EditMaskManager1.Load;
  ComboBox1.Items.Clear;
  ComboBox1.Items.Assign(EditMaskManager1.MaskList);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  {Displays the edit mask manager dialog for adding and edit edit mask definitions}
  EditMaskManager1.Execute;
  PopulateCombo;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.ComboBox1Click(Sender: TObject);
begin
  {Displays the mask and sample data in read-only TEdits}
  with ComboBox1 do Edit1.Text := TEditMaskDEM(Items.Objects[ItemIndex]).Mask.Mask;
  with ComboBox1 do Edit2.Text := TEditMaskDEM(Items.Objects[ItemIndex]).EditText;
end;

end.
